Project

General

Profile

Project management #49998

compatibilité django 2.2

Added by Frédéric Péters over 1 year ago. Updated 10 months ago.

Status:
Fermé
Priority:
Normal
Assignee:
-
Category:
-
Target version:
-
Start date:
09 January 2021
Due date:
31 March 2021
% Done:

0%

Estimated time:
Patch proposed:
No
Planning:
No
Club:
No

Description

(version LTS)


Related issues

Related to w.c.s. - Development #41236: compatibilité django 2.2Fermé01 April 2020

Actions
Related to Authentic 2 - Development #41238: tox : avoir un environnement de test django 2.2Fermé01 April 2020

Actions
Related to Combo - Development #41285: compatibilité django 2.2Fermé02 April 2020

Actions
Related to Chrono - Development #36331: compat django 2.2Fermé22 September 2019

Actions
Related to BiJoe - Development #41633: prise en charge de django 2.2Fermé13 April 2020

Actions
Related to Hobo - Development #49283: Compatibilité django 2.2Fermé09 December 2020

Actions
Related to django-mellon - Development #36330: compat django 2.2Fermé22 September 2019

Actions
Related to Fargo - Development #41623: prise en charge django 2.2Fermé11 April 2020

Actions
Related to Welco - Development #41286: compatibilité django 2.2Fermé02 April 2020

Actions
Related to Fargo - Development #51122: compatibilité paquet debian et django 2.2Fermé15 February 2021

Actions
Related to Zoo - Development #51516: compatibilité django 2.2Fermé28 February 2021

Actions

History

#1

Updated by Frédéric Péters over 1 year ago

  • Due date set to 31 March 2021

Objectif Q1, en pratique ça veut dire avoir les modules prêts avant, qu'on puisse tourner en publik-devinst local plusieurs semaines en 2.2 avant de faire les migrations sur les déploiements.

#2

Updated by Frédéric Péters over 1 year ago

#3

Updated by Frédéric Péters over 1 year ago

#4

Updated by Frédéric Péters over 1 year ago

#5

Updated by Frédéric Péters over 1 year ago

#6

Updated by Frédéric Péters over 1 year ago

#7

Updated by Frédéric Péters over 1 year ago

#8

Updated by Frédéric Péters over 1 year ago

#9

Updated by Frédéric Péters over 1 year ago

#10

Updated by Frédéric Péters over 1 year ago

#11

Updated by Frédéric Péters over 1 year ago

Pour information, sur le SaaS de dev j'ai installé python3-django de buster-backports (2.2.18 pour le moment).

Sauf évidemment corbo et mandayejs.

Sauf aussi,

  • fargo :
Les paquets suivants contiennent des dépendances non satisfaites :
 python3-fargo : Dépend: python3-django-filters (< 2) mais 2.1.0-1~bpo10+1 devra être installé
  • passerelle, qui s'installe mais
  File "/usr/lib/python3/dist-packages/passerelle_montpellier_encombrants/models.py", line 17, in <module>
    from django.core.urlresolvers import reverse
ModuleNotFoundError: No module named 'django.core.urlresolvers'
#12

Updated by Frédéric Péters over 1 year ago

#14

Updated by Frédéric Péters over 1 year ago

#16

Updated by Frédéric Péters 10 months ago

  • Status changed from Nouveau to En cours

La compatibilité est là et on ne teste plus avec 1.11 depuis un bail, il reste à refléter ça dans les setup.py, monter de "django>=1.11" à "django>=2.2". (ça peut être fait en masse partout, pas besoin de tickets/relectures individuelles).

#17

Updated by Frédéric Péters 10 months ago

  • Status changed from En cours to Fermé

Je suis passé sur un tas de setup.py.

Also available in: Atom PDF